eclipse创建maven项目报错的一种解决方法

发布于:2021-12-05 00:28:37

错误如下:(could not resolve archetype org.apache.maven.archetypes:maven-archetype-webapp:1.0 from any of the configured repositories)



【开发环境】本人用的eclipse-mars1,jdk1.7.0,64位win10操作系统。


用最新的maven-3.6.0创建maven项目报错,查了网上很多帖子,各种原因,一时没有头绪。因此只能返回到maven3.5.0版本。


【软件包在帖子最后有网盘链接,并已经在settings.xml文件中设置了下载镜像,用的是阿里镜像】


解决方法:


1.下载maven.3.5.0,并找个路径解压。【帖子后面有链接地址】


2.在eclipse设置maven如下图所示:



3.无需设置archetypes如图所示:


网上说要在这里进行设置,我是各种设置也不管用,还是报错,所以去掉这里的所谓的设置,保持原始状态即可。



4.创建maven项目,验证成功。【其他版本没有验证,所以仅限于上述说明的开发环境下的验证成功】


-------------题外话----------------------------


如何出现让版本1.0的webapp出现,去掉对勾即可,如下图所示。



----------------------------链接地址-----以下是maven-3.5.0的压缩包----------------------------------------------------


链接: https://pan.baidu.com/s/1dXek48o4C3VsIjZea0oGcw 提取码: atem 复制这段内容后打开百度网盘手机App,操作更方便哦

相关推荐

最新更新

猜你喜欢